c %Z% %M% %I% (IDS) %G%

      subroutine bic_mp(wina_d, woua_d,faclama, facphia,
     *                   winb_d, woub_d,faclamb, facphib, 
     *                   rlatitude_d, rlongitude_d, ja, jb,
     *                   lo, up)

      include "slgcm.slgprm"
      include "slgcm.mp"

      implicit none

      integer nx, nx0, ny, ny0, nynth, nysth, nxest, nxwst
      common /commvars/ nx,nx0,ny,ny0, nynth, nysth, nxest, nxwst

C***  Debug Variables
C1          integer comm_a
C1          common /switch/ comm_a

      integer lo, up
      integer ja, jb
      real    faclama,
     &         faclamb,
     &         facphia,
     &         facphib


       real wina_d(imp3, max_col_p3)
       real woua_d(imp3, max_col_p3)
       real winb_d(imp3, max_col_p3)
       real woub_d(imp3, max_col_p3)
       real rlatitude_d(imp3, max_col_p3)
       real rlongitude_d(imp3, max_col_p3)
       
      dimension tem1_d(imp3, max_col_p3)
      dimension tem2_d(imp3, max_col_p3)
      dimension core1_d(imp3, max_col_p3)
      dimension ii_d(imp3, max_col_p3)
      dimension jj_d(imp3, max_col_p3)

      real tem1_d,
     &      tem2_d,
     &      core1_d
      integer ii_d,
     &         jj_d
      integer  lo1, up1, tmp, range
      integer  i, j,  svdlo, svdup

      return
      end

